# studio::Widget_Distance Class Reference

`#include <widget_distance.h>`

List of all members.

## Public Member Functions

void | set_value (const synfig::Distance &data)
synfig::Distance | get_value () const
| Widget_Distance ()
| ~Widget_Distance ()

## Protected Member Functions

int | on_input (double *new_value)
bool | on_output ()

## Constructor & Destructor Documentation

Widget_Distance::Widget_Distance | ( |  | ) |

Widget_Distance::~Widget_Distance | ( |  | ) |

## Member Function Documentation

int Widget_Distance::on_input | ( | double * | new_value | ) | `[protected]`

bool Widget_Distance::on_output | ( |  | ) | `[protected]`

void Widget_Distance::set_value | ( | const synfig::Distance & | data | ) |

Referenced by studio::Widget_Vector::set_value(), and studio::Widget_ValueBase::set_value().

synfig::Distance Widget_Distance::get_value | ( |  | ) | const

Referenced by studio::Widget_Vector::get_value(), and studio::Widget_ValueBase::get_value().

The documentation for this class was generated from the following files:

- widget_distance.h
- widget_distance.cpp